> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a checkout payment with transaction reference



## OpenAPI

````yaml post /api/v1/initiate
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/initiate:
    post:
      tags:
        - Checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutInitRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CheckoutInitRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CheckoutInitRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    CheckoutInitRequest:
      required:
        - transactionReference
      type: object
      properties:
        transactionReference:
          maxLength: 50
          minLength: 16
          type: string
        amount:
          type: number
          format: double
        currency:
          type: string
          nullable: true
        metaData:
          type: string
          nullable: true
        redirectUrl:
          type: string
          nullable: true
        allowedPaymentOptions:
          type: string
          nullable: true
        checkoutCustomerData:
          $ref: '#/components/schemas/CheckoutCustomerData'
        checkoutCustomizationData:
          $ref: '#/components/schemas/CheckoutCustomizationData'
        splitPaymentTransactionInfo:
          $ref: '#/components/schemas/splitPaymentTransactionInfo'
      additionalProperties: false
    CheckoutCustomerData:
      required:
        - email
        - firstName
        - lastName
      type: object
      properties:
        email:
          minLength: 1
          type: string
        firstName:
          minLength: 1
          type: string
        lastName:
          minLength: 1
          type: string
        phoneNumber:
          type: string
          nullable: true
      additionalProperties: false
    CheckoutCustomizationData:
      type: object
      properties:
        logoUrl:
          type: string
          nullable: true
        paymentDescription:
          maxLength: 255
          minLength: 0
          type: string
          nullable: true
        checkoutModalTitle:
          type: string
          nullable: true
      additionalProperties: false
    splitPaymentTransactionInfo:
      type: object
      properties:
        use_preconfiguration:
          type: boolean
          example: false
        splitDetails:
          type: array
          items:
            $ref: '#/components/schemas/SplitDetail'
      additionalProperties: false
    SplitDetail:
      type: object
      properties:
        split_reference_code:
          type: string
          example: 31SPLIT0000130004498921
        split_type:
          type: string
          enum:
            - flat
            - percent
          example: flat
        split_value:
          type: number
          example: 200
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````